summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorGregorio Guidi <greg_g@gentoo.org>2005-02-16 11:11:33 +0000
committerGregorio Guidi <greg_g@gentoo.org>2005-02-16 11:11:33 +0000
commitb803c9ed7a99694b62296b31cbc9e1c716aaa8db (patch)
treea9424878e1d5fd17f55064266f3c021729e35ba5 /eclass
parentStable on alpha, bug 79585. (diff)
downloadhistorical-b803c9ed7a99694b62296b31cbc9e1c716aaa8db.tar.gz
historical-b803c9ed7a99694b62296b31cbc9e1c716aaa8db.tar.bz2
historical-b803c9ed7a99694b62296b31cbc9e1c716aaa8db.zip
Add check for kdelibs compiled with arts support (#75315).
Diffstat (limited to 'eclass')
-rw-r--r--eclass/kde-meta.eclass12
-rw-r--r--eclass/kde.eclass15
2 files changed, 19 insertions, 8 deletions
diff --git a/eclass/kde-meta.eclass b/eclass/kde-meta.eclass
index 84b1bdcc57d8..6bd4aaa05a67 100644
--- a/eclass/kde-meta.eclass
+++ b/eclass/kde-meta.eclass
@@ -1,13 +1,13 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde-meta.eclass,v 1.23 2005/02/11 17:15:03 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde-meta.eclass,v 1.24 2005/02/16 11:11:33 greg_g Exp $
#
# Author Dan Armak <danarmak@gentoo.org>
# Simone Gotti <simone.gotti@email.it>
#
# This is the kde-meta eclass which supports broken-up kde-base packages.
-inherit kde
+inherit kde multilib
ECLASS=kde-meta
INHERITED="$INHERITED $ECLASS"
IUSE="$IUSE kdexdeltas"
@@ -316,11 +316,11 @@ function kde-meta_src_unpack() {
cd $S
mkdir -p ${dirname}
cd ${dirname}
- if [ ! "$(find ${PREFIX}/lib/ -name "${libname}*")" == "" ]; then
- echo "Symlinking library ${libname} under ${PREFIX}/lib/ in source dir"
- ln -s ${PREFIX}/lib/${libname}* .
+ if [ ! "$(find ${PREFIX}/$(get_libdir)/ -name "${libname}*")" == "" ]; then
+ echo "Symlinking library ${libname} under ${PREFIX}/$(get_libdir)/ in source dir"
+ ln -s ${PREFIX}/$(get_libdir)/${libname}* .
else
- die "Can't find library ${libname} under ${PREFIX}/lib/"
+ die "Can't find library ${libname} under ${PREFIX}/$(get_libdir)/"
fi
libname=""
fi
diff --git a/eclass/kde.eclass b/eclass/kde.eclass
index 4b376377bdb4..6b00dc02229b 100644
--- a/eclass/kde.eclass
+++ b/eclass/kde.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde.eclass,v 1.112 2005/02/06 07:38:17 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde.eclass,v 1.113 2005/02/16 11:11:33 greg_g Exp $
#
# Author Dan Armak <danarmak@gentoo.org>
#
@@ -26,6 +26,17 @@ RDEPEND="~kde-base/kde-env-3"
# overridden in other places like kde-dist, kde-source and some individual ebuilds
SLOT="0"
+kde_pkg_setup() {
+ use arts && if ! built_with_use kdelibs arts ; then
+ eerror "You are trying to compile ${CATEGORY}/${P} with the \"arts\" USE flag enabled."
+ eerror "However, $(best_version kdelibs) was compiled with this flag disabled."
+ eerror
+ eerror "You must either disable this use flag, or recompile"
+ eerror "$(best_version kdelibs) with this use flag enabled."
+ die
+ fi
+}
+
kde_src_unpack() {
debug-print-function $FUNCNAME $*
@@ -194,4 +205,4 @@ kde_src_install() {
}
-EXPORT_FUNCTIONS src_unpack src_compile src_install
+EXPORT_FUNCTIONS pkg_setup src_unpack src_compile src_install